### Signal

# Gio Application::startup

since: 2.0

#### Declaration

    void
    startup (
      GApplication* self,
      gpointer user_data
    )

#### Description

The ::startup signal is emitted on the primary instance immediately after registration. See g_application_register().

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 2.0